## xorg-server 1.6.99.1-0osso20090208.95%2b0m5

=== debian/changelog ===
xorg-server (2:1.6.99.1-0osso20090208.95+0m5) hardy; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Henrik Saari <henrik.saari@nokia.com>  Fri, 18 Sep 2009 16:36:12 +0300

xorg-server (2:1.6.99.1-0osso20090208.95) hardy; urgency=low

   * Disabled printing of the Xorg startup banner.
     Fixes: NB#136801 - X startup excessively noisy on the console

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Tue, 08 Sep 2009 16:23:39 +0300

xorg-server (2:1.6.99.1-0osso20090208.94) hardy; urgency=low

  * Fixes: NB#132515 - On rotation X sends Expose event to non-visible applications

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 02 Sep 2009 08:55:19 +0300

xorg-server (2:1.6.99.1-0osso20090208.93) hardy; urgency=low

  * Added a NULL check for keybd->key to the DeviceEnterLeaveEvent() function.
    Fixes: NB#134942 - Reboot on gdk_pointer_grab()

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 02 Sep 2009 22:43:15 +0300

xorg-server (2:1.6.99.1-0osso20090208.92) hardy; urgency=low

  * Removed the verbose option from the X server command line.
    Fixes: NB#136801 - X startup excessively noisy on the console

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 24 Aug 2009 12:15:52 +0300

xorg-server (2:1.6.99.1-0osso20090208.91) hardy; urgency=low

  * config/hal: Continue to wait for HAL forever...
    Fixes: NB#130702 - X failed to detect input devices due to HAL failure

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sun, 23 Aug 2009 23:18:13 +0300

xorg-server (2:1.6.99.1-0osso20090208.90) hardy; urgency=low

  * Revert "On rotation X sends Expose event to non-visible applications"

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 21 Aug 2009 11:12:10 +0300

xorg-server (2:1.6.99.1-0osso20090208.89) hardy; urgency=low

  * fbdevhw: Added the fbdevHWReload hook function.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 21 Aug 2009 10:01:24 +0300

xorg-server (2:1.6.99.1-0osso20090208.88) hardy; urgency=low

  * On rotation X sends Expose event to non-visible applications

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sat, 15 Aug 2009 07:38:36 +0300

xorg-server (2:1.6.99.1-0osso20090208.87) hardy; urgency=low

  * config/hal: Avoid spamming timing debug information.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 14 Aug 2009 07:52:14 +0300

xorg-server (2:1.6.99.1-0osso20090208.86) hardy; urgency=low

  * debian: Re-enabled DPMS power saving with appropriate timeout values.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 14 Aug 2009 07:40:48 +0300

xorg-server (2:1.6.99.1-0osso20090208.85) hardy; urgency=low

  * Xi: Allow Xi 1.x clients to open all devices
    Fixes: NB#129699 - Xorg crash with RSS app and XI2-enabled GTK+

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 14 Aug 2009 07:37:46 +0300

xorg-server (2:1.6.99.1-0osso20090208.84) hardy; urgency=low

  * Fixes: NB#131120 - F4 cyclic reboot

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 13 Aug 2009 13:02:05 +0300

xorg-server (2:1.6.99.1-0osso20090208.83) hardy; urgency=low

  * config/hal: Poll for HAL to become active...
    Fixes: NB#130702 - X failed to detect input devices due to HAL failure

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 07 Aug 2009 17:21:28 +0300

xorg-server (2:1.6.99.1-0osso20090208.82) hardy; urgency=low

  * Fixes: NB#131423 - X11 listens to TCP port 6000 on any interface

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 05 Aug 2009 17:01:28 +0300

xorg-server (2:1.6.99.1-0osso20090208.81) hardy; urgency=low

  * RandR: Introduce xf86RandRInhibitEvents/RRInhibitEvents

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Tue, 28 Jul 2009 14:02:49 +0300

xorg-server (2:1.6.99.1-0osso20090208.80) hardy; urgency=low

  * Added the CreatePixmap2 hook for EXA.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 20 Jul 2009 14:58:56 +0300

xorg-server (2:1.6.99.1-0osso20090208.79) hardy; urgency=low

  * Fixes: NB#109117 - XkbSetDetectableAutoRepeat() does not work

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 08 Jul 2009 15:59:05 +0300

xorg-server (2:1.6.99.1-0osso20090208.78) hardy; urgency=low

  * Fixes: NB#98013 - Codenomicon AVRCP tests reboot the device

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 08 Jul 2009 15:57:41 +0300

xorg-server (2:1.6.99.1-0osso20090208.77) hardy; urgency=low

  * Fixes: NB#122420 - Display does not turn on if left idle at PIN query for a long time

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 08 Jul 2009 15:55:06 +0300

xorg-server (2:1.6.99.1-0osso20090208.76) hardy; urgency=low

  * Fixes: NB#121904 - X server links libssl & libcrypto

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 08 Jul 2009 15:53:43 +0300

xorg-server (2:1.6.99.1-0osso20090208.75) hardy; urgency=low

  * rotation: Changed the ErrorF() calls to DebugF() calls.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 06 Jul 2009 16:12:31 +0300

xorg-server (2:1.6.99.1-0osso20090208.74) hardy; urgency=low

  * Upstart: Increased the Xorg niceness level to -8.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 06 Jul 2009 14:49:32 +0300

xorg-server (2:1.6.99.1-0osso20090208.73) hardy; urgency=low

  * xserver-profiling-and-rotation-yay.diff

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 06 Jul 2009 14:30:25 +0300

xorg-server (2:1.6.99.1-0osso20090208.72) hardy; urgency=low

  * xkb: Added the XkbIsRepeatEvent hack.
    Fixes: NB#109117 - XkbSetDetectableAutoRepeat() does not work

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 03 Jul 2009 16:45:30 +0300

xorg-server (2:1.6.99.1-0osso20090208.71) hardy; urgency=low

  * xf86Helper: Export the xf86SetRootClip function.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 03 Jul 2009 16:28:49 +0300

xorg-server (2:1.6.99.1-0osso20090208.70) hardy; urgency=low

  * XKB: Avoid printing messages when the keymap is reused.


