## xorg-server 1.6.99.1-0osso20090208.102.3%2b0m5

=== debian/changelog ===
xorg-server (2:1.6.99.1-0osso20090208.102.3+0m5) hardy; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika yrjola <ext-mika.2.yrjola@nokia.com>  Wed, 28 Oct 2009 16:10:15 +0200

xorg-server (2:1.6.99.1-0osso20090208.102.3) hardy; urgency=low

  * DRI2: Provide the ValidateBuffers() hook for pixmap cache flushing.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Tue, 27 Oct 2009 13:28:30 +0200

xorg-server (2:1.6.99.1-0osso20090208.102.2) hardy; urgency=low

  * Fixes: NB#143966 - Freshly flashed device goes into Cyclic reboots

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 26 Oct 2009 11:15:35 +0200

xorg-server (2:1.6.99.1-0osso20090208.102.1) hardy; urgency=low

  * Xorg subscribes to HAL D-Bus signals too broadly, thus wakes up unnecessarily

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 26 Oct 2009 10:57:39 +0200

xorg-server (2:1.6.99.1-0osso20090208.100.1) hardy; urgency=low

  * Fake version number for BIFH revert.
    Fixes: NB#142115 - Latest X and SGX should be reverted

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 07 Oct 2009 15:34:41 +0300
