## xorg-server 1.6.99.1-0osso20090208.104%2b0m5

=== debian/changelog ===
xorg-server (2:1.6.99.1-0osso20090208.104+0m5) hardy; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika yrjola <ext-mika.2.yrjola@nokia.com>  Tue, 24 Nov 2009 15:22:57 +0200

xorg-server (2:1.6.99.1-0osso20090208.104) hardy; urgency=low

  * Fixes: NB#126626 - Switching between non/composite modes, make screen blank for short time

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 09 Nov 2009 17:09:56 +0200

xorg-server (2:1.6.99.1-0osso20090208.103) hardy; urgency=low

  * Fixes: NB#144687 - Xorg leaks 0.5-2 KB per every process launch

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 09 Nov 2009 15:06:25 +0200

xorg-server (2:1.6.99.1-0osso20090208.102) hardy; urgency=low

  * DRI2: Provide the ValidateBuffers() hook for pixmap cache flushing.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 19 Oct 2009 18:07:35 +0300

xorg-server (2:1.6.99.1-0osso20090208.101) hardy; urgency=low

  * Fixes: NB#138864 - Xorg subscribes to HAL D-Bus signals too broadly, thus wakes up unnecessarily
  * Fixes: NB#140730 - Freshly flashed device goes into Cyclic reboots

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Tue, 20 Oct 2009 13:36:05 +0300

xorg-server (2:1.6.99.1-0osso20090208.100) hardy; urgency=low

  * Revert "XKB: cache xkbcomp output for fast start-up v5 for 1.6.1"
  * Revert "XKB: Preserve cached xkm files over boot."
  * Revert "xkb: use default keymap if compiling a custom keymap fails"
  * Revert "xkb: Ensure the files are actually flushed to physical storage."
    Fixes: NB#140730 - Freshly flashed device goes into Cyclic reboots

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sun, 04 Oct 2009 11:03:18 +0300

xorg-server (2:1.6.99.1-0osso20090208.99) hardy; urgency=low

  * Fixes: NB#141248 - Reading a deallocated string

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Sat, 03 Oct 2009 00:07:59 +0300

xorg-server (2:1.6.99.1-0osso20090208.98) hardy; urgency=low

  * Fixes: NB#141237 - Reading over boundary of allocated

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 02 Oct 2009 23:52:57 +0300

xorg-server (2:1.6.99.1-0osso20090208.97) hardy; urgency=low

  * xkb: Ensure the files are actually flushed to physical storage.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 01 Oct 2009 18:59:28 +0300

xorg-server (2:1.6.99.1-0osso20090208.96) hardy; urgency=low

  * Avoid watching all HAL properties because of excess wakeups.
    Fixes: NB#138864 - Xorg subscribes to HAL D-Bus signals too broadly, thus wakes up unnecessarily

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Tue, 15 Sep 2009 13:36:22 +0300
