=== debian/control ===
Source: xorg-server
Section: x11
Priority: optional
Maintainer: Oliver McFadden <oliver.mcfadden@nokia.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, libdrm-dev, libpciaccess-dev, x11proto-dri2-dev (>= 1.99.3), x11proto-xf86dga-dev, x11proto-bigreqs-dev, x11proto-composite-dev (>= 0.3), x11proto-core-dev (>= 7.0.8), x11proto-damage-dev (>= 1.1), x11proto-fixes-dev (>= 4.0), x11proto-kb-dev (>= 1.0.3), x11proto-randr-dev (>= 1.2.99.3), x11proto-record-dev, x11proto-render-dev (>= 0.9.3), x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev (>= 7.0.3), x11proto-input-dev (>> 1.4.1), xtrans-dev (>= 1.2.2), libxau-dev (>= 1:0.99.1), libxdmcp-dev (>= 1:0.99.1), libxfont-dev, libfontenc-dev, libxkbfile-dev (>= 1:0.99.1), libxmuu-dev (>= 1:0.99.1) [i386 amd64], libxext-dev (>= 1:1.0.0-3) [i386 amd64], libx11-dev (>= 2:1.0.0-6osso1), libxrender-dev (>= 1:0.9.0) [i386 amd64], libxi-dev (>= 1:0.99.1) [i386 amd64], quilt, linux-kernel-headers (>= 2.6.16.osso3), libpixman-1-dev (>= 0.13.3-20090207.1), libssl-dev, upstart-dev, xutils-dev (>= 1:7.4+4), dbus, hal, libdbus-1-dev, libhal-dev, mce-dev
Build-Conflicts: xlibs-static-dev
Standards-Version: 3.8.0

Package: xserver-xorg-core
Architecture: any
Depends: x11-common (>= 1:7.0.0), ${shlibs:Depends}, ${misc:Depends}
Recommends: xkb-data, xfonts-base
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Conflicts: xserver-xorg (<< 6.8.2-38), xserver-xfree86 (<< 1:7.0.0), xserver-xorg-video, xserver-common, xserver-xorg-video-1.0, xserver-xorg-input, xserver-xorg-video-1.9, xserver-xorg-input-wacom (<< 0.7.8), xserver-xomap (<< 2:1.6)
Replaces: xserver-xorg (<< 6.8.2-38), xserver-xfree86 (<< 1:7.0.0), xserver-common, xserver-xomap (<< 2:1.6), system-services, hal
Provides: xserver
Description: Xorg X server - core server
 The Xorg X server is an X server for several architectures and operating
 systems, which is derived from the XFree86 4.x series of X servers.
 .
 The Xorg server supports most modern graphics hardware from most vendors,
 and supersedes all XFree86 X servers.
 .
 The Xorg server either needs fonts installed on the local host, or needs to
 know of a remote hosts that provides font services (with xfs, for instance).
 The former means that fonts packages are mandatory. The latter means that
 font packages may be gratuitous. To err on the side of caution, install at
 least the xfonts-base, xfonts-100dpi or xfonts-75dpi, and xfonts-scalable
 packages.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This package is built from the X.org xserver module.

Package: xserver-xorg-dev
Architecture: any
Depends: ${misc:Depends}, libpixman-1-dev (>= 0.13.3-20090207.1), x11proto-core-dev, x11proto-input-dev (>= 1.4), x11proto-xext-dev, x11proto-video-dev, x11proto-randr-dev (>= 1.2), x11proto-render-dev (>= 2:0.9.3), x11proto-fonts-dev
Description: Xorg X server - development files
 This package provides development files for the X.Org ('Xorg') X server.
 This is not quite the same as the DDK (Driver Development Kit) from the
 XFree86 4.x and X.Org 6.7, 6.8 and 6.9 series of servers; it provides
 headers and a pkg-config file for drivers using autotools to build
 against.
 .
 Unless you are developing or building a driver, you probably want
 xserver-xorg and/or xserver-xorg-core instead.
 . 
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This package is built from the X.org xserver module.

Package: xserver-xorg-core-dbg
Architecture: any
Depends: xserver-xorg-core (= ${binary:Version})
Priority: extra
Description: Xorg - the X.Org X server (debugging symbols)
 The Xorg X server is an X server for several architectures and operating
 systems, which is derived from the XFree86 4.x series of X servers.
 .
 The Xorg server supports most modern graphics hardware from most vendors,
 and supersedes all XFree86 X servers.
 .
 This package provides debugging symbols for the Xorg X server and associated
 modules.

Package: xvfb
Architecture: any
Depends: x11-common, ${shlibs:Depends}, ${misc:Depends}
Recommends: xbase-clients, xfonts-base
Description: Virtual Framebuffer 'fake' X server
 Xvfb provides an X server that can run on machines with no display hardware
 and no physical input devices. It emulates a dumb framebuffer using virtual
 memory. The primary use of this server was intended to be server testing,
 but other novel uses for it have been found, including testing clients
 against unusual depths and screen configurations, doing batch processing with
 Xvfb as a background rendering engine, load testing, as an aid to porting the
 X server to a new platform, and providing an unobtrusive way to run
 applications that don't really need an X server but insist on having one
 anyway.
 .
 This package also contains a convenience script called xvfb-run which
 simplifies the automated execution of X clients in a virtual server
 environment. This convenience script requires the use of the xauth
 program.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This package is built from the X.org xserver module.

Package: xserver-xomap
Architecture: any
Depends: xserver-xorg-video-fbdev, xserver-xorg-input-evdev, xserver-xorg-core (= ${binary:Version}), x11-xkb-utils, xkb-data, opengles-sgx-img-common, libgles2-sgx-img
Description: Meta-package for X-related things
 Meta-package for X-related things.
