=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	     --with-vendor-name="Nokia" \
 	     --with-vendor-name-short="Nokia" \
 	     --with-vendor-web="http://www.nokia.com/" \
-	     --with-xkb-output=/var/cache/xkb
+	     --with-xkb-output=/tmp
 
 configure: $(STAMP_DIR)/patch
 	dh_testdir
