## xorg-server 1.6.99.1-0osso20090208.108%2b0m5

=== debian/changelog ===
xorg-server (2:1.6.99.1-0osso20090208.108+0m5) hardy; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Lyubimkin Eugene <ext-lyubimkin.eugene@nokia.com>  Tue, 16 Feb 2010 15:07:21 +0200

xorg-server (2:1.6.99.1-0osso20090208.108) hardy; urgency=low

  * Fixes: NB#152181 - piped core is truncated by pending signals

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 04 Feb 2010 16:26:05 +0200

xorg-server (2:1.6.99.1-0osso20090208.107) hardy; urgency=low

  * Fixes: NB#151087 - X server core dump backtraces are stopped

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 04 Feb 2010 16:25:25 +0200

xorg-server (2:1.6.99.1-0osso20090208.106) hardy; urgency=low

  * Fixes: NB#147025 - Very low touchscreen sensivitivity in the area near the left edge of the screen.
  * Fixes: NB#147981 - Touchscreen not accurate in corners.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Fri, 15 Jan 2010 16:14:25 +0200

xorg-server (2:1.6.99.1-0osso20090208.105) hardy; urgency=low

  * Fixes: NB#145789 - Xorg should save /tmp/Xorg.0.log to EMMC when shutting down

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 09 Nov 2009 17:11:14 +0200
