## xorg-server 1.6.99.1-0osso20090208.108+0m5-thumb0

=== debian/changelog ===
xorg-server (2:1.6.99.1-0osso20090208.108+0m5-thumb0) unstable; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 17 Jun 2012 12:08:10 +0300
