=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: xserver-xorg-core
 Architecture: any
-Depends: x11-common (>= 1:7.0.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: x11-common (>= 1:7.0.0), ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround
 Recommends: xkb-data, xfonts-base
 Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
 Conflicts: xserver-xorg (<< 6.8.2-38), xserver-xfree86 (<< 1:7.0.0), xserver-xorg-video, xserver-common, xserver-xorg-video-1.0, xserver-xorg-input, xserver-xorg-video-1.9, xserver-xorg-input-wacom (<< 0.7.8), xserver-xomap (<< 2:1.6)
@@ -71,7 +71,7 @@
 
 Package: xvfb
 Architecture: any
-Depends: x11-common, ${shlibs:Depends}, ${misc:Depends}
+Depends: x11-common, ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround
 Recommends: xbase-clients, xfonts-base
 Description: Virtual Framebuffer 'fake' X server
  Xvfb provides an X server that can run on machines with no display hardware
@@ -98,7 +98,7 @@
 
 Package: xserver-xomap
 Architecture: any
-Depends: xserver-xorg-video-fbdev, xserver-xorg-input-evdev, xserver-xorg-core (= ${binary:Version}), x11-xkb-utils, xkb-data, opengles-sgx-img-common, libgles2-sgx-img
+Depends: xserver-xorg-video-fbdev, xserver-xorg-input-evdev, xserver-xorg-core (= ${binary:Version}), x11-xkb-utils, xkb-data, opengles-sgx-img-common, libgles2-sgx-img, kernel-feature-errata-430973-workaround
 Description: Meta-package for X-related things
  Meta-package for X-related things.
