=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,21 @@
 
 include debian/xsfbs/xsfbs.mk
 
-CFLAGS = -Wall -g3 -ggdb
+CFLAGS = -Wall -g3 -ggdb -mcpu=cortex-a8
+
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
 endif
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(NUMJOBS)
+
+ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
 endif
 
 CPPFLAGS += -DPRE_RELEASE=0
@@ -85,7 +91,7 @@
 build: build-stamp
 build-stamp: obj-$(DEB_BUILD_GNU_TYPE)/config.status
 	dh_testdir
-	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE)
+	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) $(PARALLEL_MAKEFLAGS)
 	>$@
 
 clean: xsfclean
